Package org.eclipse.m2m.atl.profiler.core.util

# Class ProfilingModelUtils

java.lang.Object
org.eclipse.m2m.atl.profiler.core.util.ProfilingModelUtils

public final class ProfilingModelUtils extends Object
Class utility to help about statistical operations.

## Method Summary

Modifier and Type
Method
Description
`static double`
`getDuration(ProfilingOperation op)`
Returns the duration of the given operation.
`static long`
`getEndKbytesMemUsage(ProfilingOperation op)`
Returns the end memory usage.
`static long`
`getLaunchKbytesMemUsage(ProfilingOperation op)`
Returns the launch memory usage.
`static long`
`getMaxKbytesMemUsage(ProfilingOperation op)`
Returns the max memory usage.
`static long`
`getMaxMaxMemoryUsage(ATLOperation atlOp)`
Returns the max max memory usage.
`static long`
`getMaxOutMemoryUsage(ATLOperation atlOp)`
Returns the max out memory usage.
`static long`
`getMinInMemoryUsage(ATLOperation atlOp)`
Returns the min in memory usage.
`static int`
`getTotalInstruction(ATLOperation op)`
Returns the total instructions.
`static long`
`getTotalMemory(org.eclipse.emf.common.util.EList<ProfilingInstruction> profilingInstructions)`
Returns the total memory.
`static double`
`getTotalTime(org.eclipse.emf.common.util.EList<ProfilingInstruction> profilingInstructions)`
Returns the total time.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDuration

public static double getDuration(ProfilingOperation op)
Returns the duration of the given operation.

Parameters:
  `op` - the operation
Returns:
  the duration of the given operation

### getLaunchKbytesMemUsage

public static long getLaunchKbytesMemUsage(ProfilingOperation op)
Returns the launch memory usage.

Parameters:
  `op` - the operation
Returns:
  the memory usage

### getEndKbytesMemUsage

public static long getEndKbytesMemUsage(ProfilingOperation op)
Returns the end memory usage.

Parameters:
  `op` - the operation
Returns:
  the memory usage

### getMaxKbytesMemUsage

public static long getMaxKbytesMemUsage(ProfilingOperation op)
Returns the max memory usage.

Parameters:
  `op` - the operation
Returns:
  the memory usage

### getTotalTime

public static double getTotalTime(org.eclipse.emf.common.util.EList<ProfilingInstruction> profilingInstructions)
Returns the total time.

Parameters:
  `profilingInstructions` - the profiling instructions
Returns:
  the total time

### getTotalInstruction

public static int getTotalInstruction(ATLOperation op)
Returns the total instructions.

Parameters:
  `op` - the atl operation
Returns:
  the total instructions

### getTotalMemory

public static long getTotalMemory(org.eclipse.emf.common.util.EList<ProfilingInstruction> profilingInstructions)
Returns the total memory.

Parameters:
  `profilingInstructions` - the profiling instructions
Returns:
  the total memory

### getMinInMemoryUsage

public static long getMinInMemoryUsage(ATLOperation atlOp)
Returns the min in memory usage.

Parameters:
  `atlOp` - the atl operation
Returns:
  the min in memory usage

### getMaxOutMemoryUsage

public static long getMaxOutMemoryUsage(ATLOperation atlOp)
Returns the max out memory usage.

Parameters:
  `atlOp` - the atl operation
Returns:
  the max out memory usage

### getMaxMaxMemoryUsage

public static long getMaxMaxMemoryUsage(ATLOperation atlOp)
Returns the max max memory usage.

Parameters:
  `atlOp` - the atl operation
Returns:
  the max max memory usage